# deprecated.js

Summary

deprecated.js |
Deprecated | The deprecated.js script includes all methods, properties, and constructors that are not supported as part of the long-term API.
OpenLayers.Class |
Functions |
OpenLayers.create | Deprecated.
inherit | Deprecated.
OpenLayers.Util |
OpenLayers.Ajax |
Functions |
OpenLayers.loadURL | Background load a document.
OpenLayers.Ajax.Responders | {Object}
OpenLayers.Ajax.Base |
Constructor |
OpenLayers.Ajax.Base |
OpenLayers.Ajax.Request | Deprecated.
Constructor |
OpenLayers.Ajax.Request |
OpenLayers.Ajax.Response |
Constructor |
OpenLayers.Ajax.Response |
OpenLayers.Element |
Functions |
hide | Deprecated.
show | Deprecated.
getDimensions | Deprecated.
String.startsWith | Deprecated.
String.contains | Deprecated.
String.trim | Deprecated.
String.camelize | Deprecated.
Function.bind | Deprecated.
Function.bindAsEventListener | Deprecated.
OpenLayers.Tile |
OpenLayers.Control.MouseDefaults | This class is DEPRECATED in 2.4 and will be removed by 3.0.
Constructor |
OpenLayers.Control.MouseDefaults |
Functions |
destroy |
OpenLayers.Control.MouseToolbar | This class is DEPRECATED in 2.4 and will be removed by 3.0.
Properties |
direction | {String} ‘vertical’ or ‘horizontal’
Constructor |
OpenLayers.Control.MouseToolbar |
Functions |
destroy |
OpenLayers.Layer.Grid |
OpenLayers.Format.XML |
Functions |
concatChildValues | Deprecated.
OpenLayers.Layer.WMS.Post | Instances of OpenLayers.Layer.WMS.Post are used to retrieve data from OGC Web Mapping Services via HTTP-POST (application/x-www-form-urlencoded).
Properties |
unsupportedBrowsers | {Array} Array with browsers, which should use the HTTP-GET protocol instead of HTTP-POST for fetching tiles from a WMS .
Constructor |
OpenLayers.Layer.WMS.Post | Creates a new WMS layer object.
OpenLayers.Layer.WMS.Untiled | Deprecated.
Properties |
singleTile | {singleTile} Always true for untiled.
Constructor |
OpenLayers.Layer.WMS.Untiled |
OpenLayers.Layer.MapServer.Untiled | Deprecated.
Properties |
singleTile | {singleTile} Always true for untiled.
Constructor |
OpenLayers.Layer.MapServer.Untiled |
OpenLayers.Tile.WFS | Instances of OpenLayers.Tile.WFS are used to manage the image tiles used by various layers.
Functions |
destroy | nullify references to prevent circular references and memory leaks
OpenLayers.Feature.WFS | WFS handling class, for use as a featureClass on the WFS layer for handling ‘point’ WFS types.
Constructor |
OpenLayers.Feature.WFS | Create a WFS feature.
OpenLayers.Layer.WFS | Deprecated.
Properties |
isBaseLayer | {Boolean} WFS layer is not a base layer by default.
ratio | {Float} The ratio property determines the size of the serverside query relative to the map viewport size.
featureClass | {OpenLayers.Feature} If featureClass is defined, an old-style markers based WFS layer is created instead of a new-style vector layer.
format | {OpenLayers.Format} The format you want the data to be parsed with.
formatOptions | {Object} Hash of options which should be passed to the format when it is created.
encodeBBOX | {Boolean} Should the BBOX commas be encoded?
extractAttributes | {Boolean} Should the WFS layer parse attributes from the retrieved GML?
Constructor |
OpenLayers.Layer.WFS |
Functions |
destroy |
mergeNewParams | Modify parameters for the layer and redraw.
clone |
getFullRequestString | combine the layer’s url with its params and these newParams.
commit | Write out the data to a WFS server.
commitReport | Called with a ‘success’ message if the commit succeeded, otherwise a failure message, and the full request text as a second parameter.
refresh | Refreshes all the features of the layer
getDataExtent | Calculates the max extent which includes all of the layer data.
setOpacity | Call the setOpacity method of the appropriate parent class to set the opacity.
OpenLayers.Layer.VirtualEarth | Deprecated.
Constants |
MIN_ZOOM_LEVEL | {Integer} 1
MAX_ZOOM_LEVEL | {Integer} 19
RESOLUTIONS | {Array(Float)} Hardcode these resolutions so that they are more closely tied with the standard wms projection
Properties |
type | {VEMapType}
wrapDateLine | {Boolean} Allow user to pan forever east/west.
sphericalMercator | {Boolean} Should the map act as a mercator-projected map?
animationEnabled | {Boolean} If set to true, the transition between zoom levels will be animated.
Constructor |
OpenLayers.Layer.VirtualEarth | Creates a new instance of a OpenLayers.Layer.VirtualEarth.
Functions |
getWarningHTML | {String} String with information on why layer is broken, how to get it working.
setMapObjectCenter | Set the mapObject to the specified center and zoom
getMapObjectCenter | {Object} The mapObject’s current center in Map Object format
dragPanMapObject |
getMapObjectZoom | {Integer} The mapObject’s current zoom, in Map Object format
getMapObjectLonLatFromMapObjectPixel |
getMapObjectPixelFromMapObjectLonLat |
getLongitudeFromMapObjectLonLat |
getLatitudeFromMapObjectLonLat |
getMapObjectLonLatFromLonLat |
getXFromMapObjectPixel |
getYFromMapObjectPixel |
getMapObjectPixelFromXY |
OpenLayers.Protocol.SQL | Abstract SQL protocol class.
Properties |
databaseName | {String}
tableName | Name of the database table into which Features should be saved.
Constructor |
OpenLayers.Protocol.SQL |
Functions |
destroy | Clean up the protocol.
supported | This should be overridden by specific subclasses
OpenLayers.Protocol.SQL.Gears | This Protocol stores feature in the browser via the Gears Database module http://code.google.com/apis/gears/api_database.html.
Constructor |
OpenLayers.Protocol.SQL.Gears |
Functions |
destroy | Clean up the protocol.
supported | Determine whether a browser supports Gears
read | Read all features from the database and return a OpenLayers.Protocol.Response instance.
create | Create new features into the database.
update | Construct a request updating modified feature.
delete | Delete features from the database.
commit | Go over the features and for each take action based on the feature state.
OpenLayers.Layer.Yahoo |
Constants |
MIN_ZOOM_LEVEL | {Integer} 0
MAX_ZOOM_LEVEL | {Integer} 17
RESOLUTIONS | {Array(Float)} Hardcode these resolutions so that they are more closely tied with the standard wms projection
Properties |
type | {YahooMapType}
wrapDateLine | {Boolean} Allow user to pan forever east/west.
sphericalMercator | {Boolean} Should the map act as a mercator-projected map?
Constructor |
OpenLayers.Layer.Yahoo |
Functions |
setMap | Overridden from EventPane because we need to remove this yahoo event pane which prohibits our drag and drop, and we can only do this once the map has been loaded and centered.
getWarningHTML | {String} String with information on why layer is broken, how to get it working.
getOLZoomFromMapObjectZoom |
getMapObjectZoomFromOLZoom |
setMapObjectCenter | Set the mapObject to the specified center and zoom
getMapObjectCenter | {Object} The mapObject’s current center in Map Object format
dragPanMapObject |
getMapObjectZoom | {Integer} The mapObject’s current zoom, in Map Object format
getMapObjectLonLatFromMapObjectPixel |
getMapObjectPixelFromMapObjectLonLat |
getLongitudeFromMapObjectLonLat |
getLatitudeFromMapObjectLonLat |
getMapObjectLonLatFromLonLat |
getXFromMapObjectPixel |
getYFromMapObjectPixel |
getMapObjectPixelFromXY |
getMapObjectSizeFromOLSize |
OpenLayers.Layer.GML | Create a vector layer by parsing a GML file.
Properties |
format | {OpenLayers.Format} The format you want the data to be parsed with.
formatOptions | {Object} Hash of options which should be passed to the format when it is created.
Constructor |
OpenLayers.Layer.GML | Load and parse a single file on the web, according to the format provided via the ‘format’ option, defaulting to GML.
Functions |
setVisibility | Set the visibility flag for the layer and hide/show&redraw accordingly.
OpenLayers.Geometry.Rectangle | This class is not supported, and probably isn’t what you’re looking for.
Constructor |
OpenLayers.Geometry.Rectangle |
Functions |
getLength | {Float} The length of the geometry
getArea | {Float} The area of the geometry
OpenLayers.Renderer.NG |
Constants |
labelNodeType | {String} The node type for text label containers.
Constructor |
OpenLayers.Renderer.NG |
OpenLayers.Renderer.SVG2 |
Constants |
labelNodeType | {String} The node type for text label containers.
Constructor |
OpenLayers.Renderer.SVG2 |
Functions |
supported | {Boolean} Whether or not the browser supports the SVG renderer
Constants |
OpenLayers.Renderer.SVG2.LABEL_ALIGN | {Object}
OpenLayers.Renderer.SVG2.LABEL_VSHIFT | {Object}
OpenLayers.Renderer.SVG2.LABEL_VFACTOR | {Object}
OpenLayers.Popup.AnchoredBubble | This class is deprecated.
Constructor |
OpenLayers.Popup.AnchoredBubble |
Functions |
setSize |
setBackgroundColor |
setOpacity |
Constants |
CORNER_SIZE | {Integer} 5.

### Deprecated

The deprecated.js script includes all methods, properties, and constructors that are not supported as part of the long-term API. If you use any of these, you have to explicitly include this script in your application.

#### For example

>     <script src="deprecated.js" type="text/javascript"></script>

You are strongly encouraged to avoid using deprecated functionality. The documentation here should point you to the supported alternatives.

## OpenLayers.Class

Summary

Functions |
OpenLayers.create | Deprecated.
inherit | Deprecated.

### Functions

### OpenLayers.create

Deprecated. Old method to create an OpenLayers style class. Use the OpenLayers.Class constructor instead.

#### Returns

An OpenLayers class

### inherit

> OpenLayers.Class.inherit = function ( | P | )

Deprecated. Old method to inherit from one or more OpenLayers style classes. Use the OpenLayers.Class constructor instead.

#### Parameters

class | One or more classes can be provided as arguments

#### Returns

An object prototype

## OpenLayers.Util

## OpenLayers.Ajax

Summary

Functions |
OpenLayers.loadURL | Background load a document.

### Functions

### OpenLayers.loadURL

> OpenLayers.loadURL = function( | uri,
> | params,
> | caller,
> | onComplete,
> | onFailure | )

Background load a document. Deprecated. Use OpenLayers.Request.GET method instead.

#### Parameters

uri | {String} URI of source doc
params | {String} or {Object} GET params. Either a string in the form “?hello=world&foo=bar” (do not forget the leading question mark) or an object in the form {‘hello’: ‘world’, ‘foo’: ‘bar}
caller | {Object} object which gets callbacks
onComplete | {Function} Optional callback for success. The callback will be called with this set to caller and will receive the request object as an argument. Note that if you do not specify an onComplete function, <OpenLayers.nullHandler> will be called (which pops up a user friendly error message dialog).
onFailure | {Function} Optional callback for failure. In the event of a failure, the callback will be called with this set to caller and will receive the request object as an argument. Note that if you do not specify an onComplete function, <OpenLayers.nullHandler> will be called (which pops up a user friendly error message dialog).

#### Returns

{OpenLayers.Request.XMLHttpRequest} The request object. To abort loading, call request.abort().

## OpenLayers.Ajax.Responders

{Object}

## OpenLayers.Ajax.Base

Summary

Constructor |
OpenLayers.Ajax.Base |

### Constructor

### OpenLayers.Ajax.Base

#### Parameters

options | {Object}

## OpenLayers.Ajax.Request

Deprecated. Use OpenLayers.Request method instead.

#### Inherit

- OpenLayers.Ajax.Base

Summary

Constructor |
OpenLayers.Ajax.Request |

### Constructor

### OpenLayers.Ajax.Request

#### Parameters

url | {String}
options | {Object}

## OpenLayers.Ajax.Response

Summary

Constructor |
OpenLayers.Ajax.Response |

### Constructor

### OpenLayers.Ajax.Response

#### Parameters

request | {Object}

## OpenLayers.Element

Summary

Functions |
hide | Deprecated.
show | Deprecated.
getDimensions | Deprecated.
String.startsWith | Deprecated.
String.contains | Deprecated.
String.trim | Deprecated.
String.camelize | Deprecated.
Function.bind | Deprecated.
Function.bindAsEventListener | Deprecated.

### Functions

### hide

> hide: function()

Deprecated. Hide element(s) passed in

#### Parameters

element | {DOMElement} Actually user can pass any number of elements

### show

> show: function()

Deprecated. Show element(s) passed in

#### Parameters

element | {DOMElement} Actually user can pass any number of elements

### getDimensions

> getDimensions: function( | element | )

Deprecated. Returns dimensions of the element passed in.

#### Parameters

element | {DOMElement}

#### Returns

{Object} Object with ‘width’ and ‘height’ properties which are the dimensions of the element passed in.

### String.startsWith

Deprecated. Whether or not a string starts with another string.

#### Parameters

sStart | {String} The string we’re testing for.

#### Returns

{Boolean} Whether or not this string starts with the string passed in.

### String.contains

Deprecated. Whether or not a string contains another string.

#### Parameters

str | {String} The string that we’re testing for.

#### Returns

{Boolean} Whether or not this string contains with the string passed in.

### String.trim

Deprecated. Removes leading and trailing whitespace characters from a string.

#### Returns

{String} A trimmed version of the string | all leading and trailing spaces removed

### String.camelize

Deprecated. Camel-case a hyphenated string. Ex. “chicken-head” becomes “chickenHead”, and “-chicken-head” becomes “ChickenHead”.

#### Returns

{String} The string, camelized

### Function.bind

Deprecated. Bind a function to an object. Method to easily create closures with ‘this’ altered.

#### Parameters

object | {Object} the this parameter

#### Returns

{Function} A closure with ‘this’ altered to the first argument.

### Function.bindAsEventListener

Deprecated. Bind a function to an object, and configure it to receive the event object as first parameter when called.

#### Parameters

object | {Object} A reference to this.

#### Returns

{Function}

## OpenLayers.Tile

## OpenLayers.Control.MouseDefaults

This class is DEPRECATED in 2.4 and will be removed by 3.0. If you need this functionality, use OpenLayers.Control.Navigation instead!!!

#### Inherits from

- OpenLayers.Control

Summary

Constructor |
OpenLayers.Control.MouseDefaults |
Functions |
destroy |

### Constructor

### OpenLayers.Control.MouseDefaults

### Functions

### destroy

> destroy: function()

## OpenLayers.Control.MouseToolbar

This class is DEPRECATED in 2.4 and will be removed by 3.0. If you need this functionality, use OpenLayers.Control.NavToolbar instead!!!

Summary

Properties |
direction | {String} ‘vertical’ or ‘horizontal’
Constructor |
OpenLayers.Control.MouseToolbar |
Functions |
destroy |

### Properties

### direction

{String} ‘vertical’ or ‘horizontal’

### Constructor

### OpenLayers.Control.MouseToolbar

#### Parameters

position | {OpenLayers.Pixel}
direction | {String}

### Functions

### destroy

> destroy: function()

## OpenLayers.Layer.Grid

## OpenLayers.Format.XML

Summary

Functions |
concatChildValues | Deprecated.

### Functions

### concatChildValues

> concatChildValues: function( | node,
> | def | )

Deprecated. Use getChildValue instead.

Concatenate the value of all child nodes if any exist, or return an optional default string. Returns an empty string if no children exist and no default value is supplied. Not optimized for large numbers of child nodes.

#### Parameters

node | {DOMElement} The element used to look for child values.
def | {String} Optional string to return in the event that no child exist.

#### Returns

{String} The concatenated value of all child nodes of the given node.

## OpenLayers.Layer.WMS.Post

Instances of OpenLayers.Layer.WMS.Post are used to retrieve data from OGC Web Mapping Services via HTTP-POST (application/x-www-form-urlencoded). Create a new WMS layer with the OpenLayers.Layer.WMS.Post constructor.

Deprecated. Instead of this layer, use OpenLayers.Layer.WMS with OpenLayers.Tile.Image.maxGetUrlLength configured in the layer’s <OpenLayers.Layer.WMS.tileOptions>.

#### Inherits from

- OpenLayers.Layer.WMS

Summary

Properties |
unsupportedBrowsers | {Array} Array with browsers, which should use the HTTP-GET protocol instead of HTTP-POST for fetching tiles from a WMS .
Constructor |
OpenLayers.Layer.WMS.Post | Creates a new WMS layer object.

### Properties

### unsupportedBrowsers

{Array} Array with browsers, which should use the HTTP-GET protocol instead of HTTP-POST for fetching tiles from a WMS . Defaults to [“mozilla”, “firefox”, “opera”], because Opera is not able to show transparent images in IFrames and Firefox/Mozilla has some ugly effects of viewport-shaking when panning the map. Both browsers, Opera and Firefox/Mozilla, have no problem with long urls, which is the reason for using POST instead of GET. The strings to pass to this array are the ones returned by <OpenLayers.BROWSER_NAME>.

### Constructor

### OpenLayers.Layer.WMS.Post

Creates a new WMS layer object.

#### Example

>     var wms = new OpenLayers.Layer.WMS.Post(
>      "NASA Global Mosaic",
>      "http://wms.jpl.nasa.gov/wms.cgi",
>      {layers: "modis, global_mosaic"});

#### Parameters

name | {String} A name for the layer
url | {String} Base url for the WMS (e.g. http://wms.jpl.nasa.gov/wms.cgi)
params | {Object} An object with key/value pairs representing the GetMap query string parameters and parameter values.
options | {Object} Hashtable of extra options to tag onto the layer.

## OpenLayers.Layer.WMS.Untiled

Deprecated. To be removed in 3.0. Instead use OpenLayers.Layer.WMS and pass the option ‘singleTile’ as true.

#### Inherits from

- OpenLayers.Layer.WMS

Summary

Properties |
singleTile | {singleTile} Always true for untiled.
Constructor |
OpenLayers.Layer.WMS.Untiled |

### Properties

### singleTile

{singleTile} Always true for untiled.

### Constructor

### OpenLayers.Layer.WMS.Untiled

#### Parameters

name | {String}
url | {String}
params | {Object}
options | {Object}

## OpenLayers.Layer.MapServer.Untiled

Deprecated. To be removed in 3.0. Instead use OpenLayers.Layer.MapServer and pass the option ‘singleTile’ as true.

#### Inherits from

- OpenLayers.Layer.MapServer

Summary

Properties |
singleTile | {singleTile} Always true for untiled.
Constructor |
OpenLayers.Layer.MapServer.Untiled |

### Properties

### singleTile

{singleTile} Always true for untiled.

### Constructor

### OpenLayers.Layer.MapServer.Untiled

#### Parameters

name | {String}
url | {String}
params | {Object}
options | {Object}

## OpenLayers.Tile.WFS

Instances of OpenLayers.Tile.WFS are used to manage the image tiles used by various layers. Create a new image tile with the OpenLayers.Tile.WFS constructor.

#### Inherits from

- OpenLayers.Tile

Summary

Functions |
destroy | nullify references to prevent circular references and memory leaks

### Functions

### destroy

> destroy: function()

nullify references to prevent circular references and memory leaks

## OpenLayers.Feature.WFS

WFS handling class, for use as a featureClass on the WFS layer for handling ‘point’ WFS types. Good for subclassing when creating a custom WFS like XML application.

#### Inherits from

- OpenLayers.Feature

Summary

Constructor |
OpenLayers.Feature.WFS | Create a WFS feature.

### Constructor

### OpenLayers.Feature.WFS

Create a WFS feature.

#### Parameters

layer | {OpenLayers.Layer}
xmlNode | {XMLNode}

## OpenLayers.Layer.WFS

Deprecated. To be removed in 3.0. Instead use OpenLayers.Layer.Vector with a Protocol.WFS and one or more Strategies.

#### Inherits from

- OpenLayers.Layer.Vector
- OpenLayers.Layer.Markers

Summary

Properties |
isBaseLayer | {Boolean} WFS layer is not a base layer by default.
ratio | {Float} The ratio property determines the size of the serverside query relative to the map viewport size.
featureClass | {OpenLayers.Feature} If featureClass is defined, an old-style markers based WFS layer is created instead of a new-style vector layer.
format | {OpenLayers.Format} The format you want the data to be parsed with.
formatOptions | {Object} Hash of options which should be passed to the format when it is created.
encodeBBOX | {Boolean} Should the BBOX commas be encoded?
extractAttributes | {Boolean} Should the WFS layer parse attributes from the retrieved GML?
Constructor |
OpenLayers.Layer.WFS |
Functions |
destroy |
mergeNewParams | Modify parameters for the layer and redraw.
clone |
getFullRequestString | combine the layer’s url with its params and these newParams.
commit | Write out the data to a WFS server.
commitReport | Called with a ‘success’ message if the commit succeeded, otherwise a failure message, and the full request text as a second parameter.
refresh | Refreshes all the features of the layer
getDataExtent | Calculates the max extent which includes all of the layer data.
setOpacity | Call the setOpacity method of the appropriate parent class to set the opacity.

### Properties

### isBaseLayer

{Boolean} WFS layer is not a base layer by default.

### ratio

{Float} The ratio property determines the size of the serverside query relative to the map viewport size. By default, we load an area twice as big as the map, to allow for panning without immediately reload. Setting this to 1 will cause the area of the WFS request to match the map area exactly. It is recommended to set this to some number at least slightly larger than 1, otherwise accidental clicks can cause a data reload, by moving the map only 1 pixel.

### featureClass

{OpenLayers.Feature} If featureClass is defined, an old-style markers based WFS layer is created instead of a new-style vector layer. If sent, this should be a subclass of OpenLayers.Feature

### format

{OpenLayers.Format} The format you want the data to be parsed with. Must be passed in the constructor. Should be a class, not an instance. This option can only be used if no featureClass is passed / vectorMode is false: if a featureClass is passed, then this parameter is ignored.

### formatOptions

{Object} Hash of options which should be passed to the format when it is created. Must be passed in the constructor.

### encodeBBOX

{Boolean} Should the BBOX commas be encoded? The WMS spec says ‘no’, but some services want it that way. Default false.

### extractAttributes

{Boolean} Should the WFS layer parse attributes from the retrieved GML? Defaults to false. If enabled, parsing is slower, but attributes are available in the attributes property of layer features.

### Constructor

### OpenLayers.Layer.WFS

#### Parameters

name | {String}
url | {String}
params | {Object}
options | {Object} Hashtable of extra options to tag onto the layer

### Functions

### destroy

> destroy: function()

### mergeNewParams

> mergeNewParams:function( | newParams | )

Modify parameters for the layer and redraw.

#### Parameters

newParams | {Object}

### clone

> clone: function ( | obj | )

#### Parameters

obj | {Object}

#### Returns

{OpenLayers.Layer.WFS} An exact clone of this OpenLayers.Layer.WFS

### getFullRequestString

> getFullRequestString:function( | newParams,
> | altUrl | )

combine the layer’s url with its params and these newParams.

Add the SRS parameter from ‘projection’ -- this is probably more eloquently done via a setProjection() method, but this works for now and always.

#### Parameters

newParams | {Object}
altUrl | {String} Use this as the url instead of the layer’s url

### commit

> commit: function()

Write out the data to a WFS server.

### commitReport

> commitReport: function( | string,
> | response | )

Called with a ‘success’ message if the commit succeeded, otherwise a failure message, and the full request text as a second parameter. Override this function to provide custom transaction reporting.

string | {String} reporting string
response | {String} full XML response

### refresh

> refresh: function()

Refreshes all the features of the layer

### getDataExtent

> getDataExtent: function ()

Calculates the max extent which includes all of the layer data.

#### Returns

{OpenLayers.Bounds}

### setOpacity

> setOpacity: function ( | opacity | )

Call the setOpacity method of the appropriate parent class to set the opacity.

#### Parameters

opacity | {Float}

## OpenLayers.Layer.VirtualEarth

Deprecated. Use OpenLayers.Layer.Bing instead.

Instances of OpenLayers.Layer.VirtualEarth are used to display the data from the Bing Maps AJAX Control OpenLayers.Layer.VirtualEarth constructor.

#### Inherits from

- OpenLayers.Layer.EventPane
- OpenLayers.Layer.FixedZoomLevels

Summary

Constants |
MIN_ZOOM_LEVEL | {Integer} 1
MAX_ZOOM_LEVEL | {Integer} 19
RESOLUTIONS | {Array(Float)} Hardcode these resolutions so that they are more closely tied with the standard wms projection
Properties |
type | {VEMapType}
wrapDateLine | {Boolean} Allow user to pan forever east/west.
sphericalMercator | {Boolean} Should the map act as a mercator-projected map?
animationEnabled | {Boolean} If set to true, the transition between zoom levels will be animated.
Constructor |
OpenLayers.Layer.VirtualEarth | Creates a new instance of a OpenLayers.Layer.VirtualEarth.
Functions |
getWarningHTML | {String} String with information on why layer is broken, how to get it working.
setMapObjectCenter | Set the mapObject to the specified center and zoom
getMapObjectCenter | {Object} The mapObject’s current center in Map Object format
dragPanMapObject |
getMapObjectZoom | {Integer} The mapObject’s current zoom, in Map Object format
getMapObjectLonLatFromMapObjectPixel |
getMapObjectPixelFromMapObjectLonLat |
getLongitudeFromMapObjectLonLat |
getLatitudeFromMapObjectLonLat |
getMapObjectLonLatFromLonLat |
getXFromMapObjectPixel |
getYFromMapObjectPixel |
getMapObjectPixelFromXY |

### Constants

### MIN_ZOOM_LEVEL

{Integer} 1

### MAX_ZOOM_LEVEL

{Integer} 19

### RESOLUTIONS

{Array(Float)} Hardcode these resolutions so that they are more closely tied with the standard wms projection

### Properties

### type

{VEMapType}

### wrapDateLine

{Boolean} Allow user to pan forever east/west. Default is true. Setting this to false only restricts panning if sphericalMercator is true.

### sphericalMercator

{Boolean} Should the map act as a mercator-projected map? This will cause all interactions with the map to be in the actual map projection, which allows support for vector drawing, overlaying other maps, etc.

### animationEnabled

{Boolean} If set to true, the transition between zoom levels will be animated. Set to false to match the zooming experience of other layer types. Default is true.

### Constructor

### OpenLayers.Layer.VirtualEarth

Creates a new instance of a OpenLayers.Layer.VirtualEarth. If you use an instance of OpenLayers.Layer.VirtualEarth in you map, you should set the OpenLayers.Map option restrictedExtent to a meaningful value, e.g.:

>     var map = new OpenLayers.Map( 'map', {
>         // other map options
>         restrictedExtent : OpenLayers.Bounds(-20037508, -20037508, 20037508, 20037508)
>     } );

>     var veLayer = new OpenLayers.Layer.VirtualEarth (
>         "Virtual Earth Layer"
>     );

>     map.addLayer( veLayer );

#### Parameters

name | {String}
options | {Object}

### Functions

### getWarningHTML

> getWarningHTML:function()

#### Returns

{String} String with information on why layer is broken, how to get it working.

### setMapObjectCenter

> setMapObjectCenter: function( | center,
> | zoom | )

Set the mapObject to the specified center and zoom

#### Parameters

center | {Object} MapObject LonLat format
zoom | {int} MapObject zoom format

### getMapObjectCenter

> getMapObjectCenter: function()

#### Returns

{Object} The mapObject’s current center in Map Object format

### dragPanMapObject

> dragPanMapObject: function( | dX,
> | dY | )

#### Parameters

dX | {Integer}
dY | {Integer}

### getMapObjectZoom

> getMapObjectZoom: function()

#### Returns

{Integer} The mapObject’s current zoom, in Map Object format

### getMapObjectLonLatFromMapObjectPixel

> getMapObjectLonLatFromMapObjectPixel: function( | moPixel | )

#### Parameters

moPixel | {Object} MapObject Pixel format

#### Returns

{Object} MapObject LonLat translated from MapObject Pixel

### getMapObjectPixelFromMapObjectLonLat

> getMapObjectPixelFromMapObjectLonLat: function( | moLonLat | )

#### Parameters

moLonLat | {Object} MapObject LonLat format

#### Returns

{Object} MapObject Pixel transtlated from MapObject LonLat

### getLongitudeFromMapObjectLonLat

> getLongitudeFromMapObjectLonLat: function( | moLonLat | )

#### Parameters

moLonLat | {Object} MapObject LonLat format

#### Returns

{Float} Longitude of the given MapObject LonLat

### getLatitudeFromMapObjectLonLat

> getLatitudeFromMapObjectLonLat: function( | moLonLat | )

#### Parameters

moLonLat | {Object} MapObject LonLat format

#### Returns

{Float} Latitude of the given MapObject LonLat

### getMapObjectLonLatFromLonLat

> getMapObjectLonLatFromLonLat: function( | lon,
> | lat | )

#### Parameters

lon | {Float}
lat | {Float}

#### Returns

{Object} MapObject LonLat built from lon and lat params

### getXFromMapObjectPixel

> getXFromMapObjectPixel: function( | moPixel | )

#### Parameters

moPixel | {Object} MapObject Pixel format

#### Returns

{Integer} X value of the MapObject Pixel

### getYFromMapObjectPixel

> getYFromMapObjectPixel: function( | moPixel | )

#### Parameters

moPixel | {Object} MapObject Pixel format

#### Returns

{Integer} Y value of the MapObject Pixel

### getMapObjectPixelFromXY

> getMapObjectPixelFromXY: function( | x,
> | y | )

#### Parameters

x | {Integer}
y | {Integer}

#### Returns

{Object} MapObject Pixel from x and y parameters

## OpenLayers.Protocol.SQL

Abstract SQL protocol class. Not to be instantiated directly. Use one of the SQL protocol subclasses instead.

#### Inherits from

- OpenLayers.Protocol

Summary

Properties |
databaseName | {String}
tableName | Name of the database table into which Features should be saved.
Constructor |
OpenLayers.Protocol.SQL |
Functions |
destroy | Clean up the protocol.
supported | This should be overridden by specific subclasses

### Properties

### databaseName

{String}

### tableName

Name of the database table into which Features should be saved.

### Constructor

### OpenLayers.Protocol.SQL

### Functions

### destroy

> destroy: function()

Clean up the protocol.

### supported

> supported: function()

This should be overridden by specific subclasses

#### Returns

{Boolean} Whether or not the browser supports the SQL backend

## OpenLayers.Protocol.SQL.Gears

This Protocol stores feature in the browser via the Gears Database module http://code.google.com/apis/gears/api_database.html.

The main advantage is that all the read, create, update and delete operations can be done offline.

#### Inherits from

- OpenLayers.Protocol.SQL

Summary

Constructor |
OpenLayers.Protocol.SQL.Gears |
Functions |
destroy | Clean up the protocol.
supported | Determine whether a browser supports Gears
read | Read all features from the database and return a OpenLayers.Protocol.Response instance.
create | Create new features into the database.
update | Construct a request updating modified feature.
delete | Delete features from the database.
commit | Go over the features and for each take action based on the feature state.

### Constructor

### OpenLayers.Protocol.SQL.Gears

### Functions

### destroy

> destroy: function()

Clean up the protocol.

### supported

> supported: function()

Determine whether a browser supports Gears

#### Returns

{Boolean} The browser supports Gears

### read

> read: function( | options | )

Read all features from the database and return a OpenLayers.Protocol.Response instance. If the options parameter contains a callback attribute, the function is called with the response as a parameter.

#### Parameters

options | {Object} Optional object for configuring the request; it can have the {Boolean} property “noFeatureStateReset” which specifies if the state of features read from the Gears database must be reset to null, if “noFeatureStateReset” is undefined or false then each feature’s state is reset to null, if “noFeatureStateReset” is true the feature state is preserved.

#### Returns

{OpenLayers.Protocol.Response} An OpenLayers.Protocol.Response object.

### create

> create: function( | features,
> | options | )

Create new features into the database.

#### Parameters

features | {Array({OpenLayers.Feature.Vector})} or {OpenLayers.Feature.Vector} The features to create in the database.
options | {Object} Optional object for configuring the request.

#### Returns

{OpenLayers.Protocol.Response} An OpenLayers.Protocol.Response object.

### update

> update: function( | features,
> | options | )

Construct a request updating modified feature.

#### Parameters

features | {Array({OpenLayers.Feature.Vector})} or {OpenLayers.Feature.Vector} The features to update in the database.
options | {Object} Optional object for configuring the request.

#### Returns

{OpenLayers.Protocol.Response} An OpenLayers.Protocol.Response object.

### delete

> "delete": function( | features,
> | options | )

Delete features from the database.

#### Parameters

features | {Array({OpenLayers.Feature.Vector})} or {OpenLayers.Feature.Vector}
options | {Object} Optional object for configuring the request. This object is modified and should not be reused.

#### Returns

{OpenLayers.Protocol.Response} An OpenLayers.Protocol.Response object.

### commit

> commit: function( | features,
> | options | )

Go over the features and for each take action based on the feature state. Possible actions are create, update and delete.

#### Parameters

features | {Array({OpenLayers.Feature.Vector})}
options | {Object} Object whose possible keys are “create”, “update”, “delete”, “callback” and “scope”, the values referenced by the first three are objects as passed to the “create”, “update”, and “delete” methods, the value referenced by the “callback” key is a function which is called when the commit operation is complete using the scope referenced by the “scope” key.

#### Returns

{Array({OpenLayers.Protocol.Response})} An array of OpenLayers.Protocol.Response objects, one per request made to the database.

## OpenLayers.Layer.Yahoo

#### Inherits from

- OpenLayers.Layer.EventPane
- OpenLayers.Layer.FixedZoomLevels

Summary

Constants |
MIN_ZOOM_LEVEL | {Integer} 0
MAX_ZOOM_LEVEL | {Integer} 17
RESOLUTIONS | {Array(Float)} Hardcode these resolutions so that they are more closely tied with the standard wms projection
Properties |
type | {YahooMapType}
wrapDateLine | {Boolean} Allow user to pan forever east/west.
sphericalMercator | {Boolean} Should the map act as a mercator-projected map?
Constructor |
OpenLayers.Layer.Yahoo |
Functions |
setMap | Overridden from EventPane because we need to remove this yahoo event pane which prohibits our drag and drop, and we can only do this once the map has been loaded and centered.
getWarningHTML | {String} String with information on why layer is broken, how to get it working.
getOLZoomFromMapObjectZoom |
getMapObjectZoomFromOLZoom |
setMapObjectCenter | Set the mapObject to the specified center and zoom
getMapObjectCenter | {Object} The mapObject’s current center in Map Object format
dragPanMapObject |
getMapObjectZoom | {Integer} The mapObject’s current zoom, in Map Object format
getMapObjectLonLatFromMapObjectPixel |
getMapObjectPixelFromMapObjectLonLat |
getLongitudeFromMapObjectLonLat |
getLatitudeFromMapObjectLonLat |
getMapObjectLonLatFromLonLat |
getXFromMapObjectPixel |
getYFromMapObjectPixel |
getMapObjectPixelFromXY |
getMapObjectSizeFromOLSize |

### Constants

### MIN_ZOOM_LEVEL

{Integer} 0

### MAX_ZOOM_LEVEL

{Integer} 17

### RESOLUTIONS

{Array(Float)} Hardcode these resolutions so that they are more closely tied with the standard wms projection

### Properties

### type

{YahooMapType}

### wrapDateLine

{Boolean} Allow user to pan forever east/west. Default is true. Setting this to false only restricts panning if sphericalMercator is true.

### sphericalMercator

{Boolean} Should the map act as a mercator-projected map? This will cause all interactions with the map to be in the actual map projection, which allows support for vector drawing, overlaying other maps, etc.

### Constructor

### OpenLayers.Layer.Yahoo

#### Parameters

name | {String}
options | {Object}

### Functions

### setMap

> setMap: function( | map | )

Overridden from EventPane because we need to remove this yahoo event pane which prohibits our drag and drop, and we can only do this once the map has been loaded and centered.

#### Parameters

map | {OpenLayers.Map}

### getWarningHTML

> getWarningHTML:function()

#### Returns

{String} String with information on why layer is broken, how to get it working.

### getOLZoomFromMapObjectZoom

> getOLZoomFromMapObjectZoom: function( | moZoom | )

#### Parameters

gZoom | {Integer}

#### Returns

{Integer} An OpenLayers Zoom level, translated from the passed in gZoom Returns null if null value is passed in.

### getMapObjectZoomFromOLZoom

> getMapObjectZoomFromOLZoom: function( | olZoom | )

#### Parameters

olZoom | {Integer}

#### Returns

{Integer} A MapObject level, translated from the passed in olZoom Returns null if null value is passed in

### setMapObjectCenter

> setMapObjectCenter: function( | center,
> | zoom | )

Set the mapObject to the specified center and zoom

#### Parameters

center | {Object} MapObject LonLat format
zoom | {int} MapObject zoom format

### getMapObjectCenter

> getMapObjectCenter: function()

#### Returns

{Object} The mapObject’s current center in Map Object format

### dragPanMapObject

> dragPanMapObject: function( | dX,
> | dY | )

#### Parameters

dX | {Integer}
dY | {Integer}

### getMapObjectZoom

> getMapObjectZoom: function()

#### Returns

{Integer} The mapObject’s current zoom, in Map Object format

### getMapObjectLonLatFromMapObjectPixel

> getMapObjectLonLatFromMapObjectPixel: function( | moPixel | )

#### Parameters

moPixel | {Object} MapObject Pixel format

#### Returns

{Object} MapObject LonLat translated from MapObject Pixel

### getMapObjectPixelFromMapObjectLonLat

> getMapObjectPixelFromMapObjectLonLat: function( | moLonLat | )

#### Parameters

moLonLat | {Object} MapObject LonLat format

#### Returns

{Object} MapObject Pixel transtlated from MapObject LonLat

### getLongitudeFromMapObjectLonLat

> getLongitudeFromMapObjectLonLat: function( | moLonLat | )

#### Parameters

moLonLat | {Object} MapObject LonLat format

#### Returns

{Float} Longitude of the given MapObject LonLat

### getLatitudeFromMapObjectLonLat

> getLatitudeFromMapObjectLonLat: function( | moLonLat | )

#### Parameters

moLonLat | {Object} MapObject LonLat format

#### Returns

{Float} Latitude of the given MapObject LonLat

### getMapObjectLonLatFromLonLat

> getMapObjectLonLatFromLonLat: function( | lon,
> | lat | )

#### Parameters

lon | {Float}
lat | {Float}

#### Returns

{Object} MapObject LonLat built from lon and lat params

### getXFromMapObjectPixel

> getXFromMapObjectPixel: function( | moPixel | )

#### Parameters

moPixel | {Object} MapObject Pixel format

#### Returns

{Integer} X value of the MapObject Pixel

### getYFromMapObjectPixel

> getYFromMapObjectPixel: function( | moPixel | )

#### Parameters

moPixel | {Object} MapObject Pixel format

#### Returns

{Integer} Y value of the MapObject Pixel

### getMapObjectPixelFromXY

> getMapObjectPixelFromXY: function( | x,
> | y | )

#### Parameters

x | {Integer}
y | {Integer}

#### Returns

{Object} MapObject Pixel from x and y parameters

### getMapObjectSizeFromOLSize

> getMapObjectSizeFromOLSize: function( | olSize | )

#### Parameters

olSize | {OpenLayers.Size}

#### Returns

{Object} MapObject Size from olSize parameter

## OpenLayers.Layer.GML

Create a vector layer by parsing a GML file. The GML file is passed in as a parameter. Deprecated. To be removed in 3.0. Instead use OpenLayers.Layer.Vector with Protocol.HTTP and Strategy.Fixed. Provide the protocol with a format parameter to get the parser you want for your data.

#### Inherits from

- OpenLayers.Layer.Vector

Summary

Properties |
format | {OpenLayers.Format} The format you want the data to be parsed with.
formatOptions | {Object} Hash of options which should be passed to the format when it is created.
Constructor |
OpenLayers.Layer.GML | Load and parse a single file on the web, according to the format provided via the ‘format’ option, defaulting to GML.
Functions |
setVisibility | Set the visibility flag for the layer and hide/show&redraw accordingly.

### Properties

### format

{OpenLayers.Format} The format you want the data to be parsed with.

### formatOptions

{Object} Hash of options which should be passed to the format when it is created. Must be passed in the constructor.

### Constructor

### OpenLayers.Layer.GML

Load and parse a single file on the web, according to the format provided via the ‘format’ option, defaulting to GML.

#### Parameters

name | {String}
url | {String} URL of a GML file.
options | {Object} Hashtable of extra options to tag onto the layer.

### Functions

### setVisibility

> setVisibility: function( | visibility,
> | noEvent | )

Set the visibility flag for the layer and hide/show&redraw accordingly. Fire event unless otherwise specified GML will be loaded if the layer is being made visible for the first time.

#### Parameters

visible | {Boolean} Whether or not to display the layer (if in range)
noEvent | {Boolean}

## OpenLayers.Geometry.Rectangle

This class is not supported, and probably isn’t what you’re looking for. Instead, most users probably want something like:

>     var poly = new OpenLayers.Bounds(0,0,10,10).toGeometry();

This will create a rectangular Polygon geometry.

#### Inherits

- OpenLayers.Geometry

Summary

Constructor |
OpenLayers.Geometry.Rectangle |
Functions |
getLength | {Float} The length of the geometry
getArea | {Float} The area of the geometry

### Constructor

### OpenLayers.Geometry.Rectangle

#### Parameters

points | {Array(OpenLayers.Geometry.Point)}

### Functions

### getLength

> getLength: function()

#### Returns

{Float} The length of the geometry

### getArea

> getArea: function()

#### Returns

{Float} The area of the geometry

## OpenLayers.Renderer.NG

#### Inherits from

- OpenLayers.Renderer.Elements

Summary

Constants |
labelNodeType | {String} The node type for text label containers.
Constructor |
OpenLayers.Renderer.NG |

### Constants

### labelNodeType

{String} The node type for text label containers. To be defined by subclasses.

### Constructor

### OpenLayers.Renderer.NG

#### Parameters

containerID | {String}
options | {Object} options for this renderer. Supported options are:

- yOrdering - {Boolean} Whether to use y-ordering
- zIndexing - {Boolean} Whether to use z-indexing. Will be ignored if yOrdering is set to true.

## OpenLayers.Renderer.SVG2

#### Inherits from

- OpenLayers.Renderer.NG

Summary

Constants |
labelNodeType | {String} The node type for text label containers.
Constructor |
OpenLayers.Renderer.SVG2 |
Functions |
supported | {Boolean} Whether or not the browser supports the SVG renderer
Constants |
OpenLayers.Renderer.SVG2.LABEL_ALIGN | {Object}
OpenLayers.Renderer.SVG2.LABEL_VSHIFT | {Object}
OpenLayers.Renderer.SVG2.LABEL_VFACTOR | {Object}

### Constants

### labelNodeType

{String} The node type for text label containers.

### Constructor

### OpenLayers.Renderer.SVG2

#### Parameters

containerID | {String}

### Functions

### supported

> supported: function()

#### Returns

{Boolean} Whether or not the browser supports the SVG renderer

### Constants

### OpenLayers.Renderer.SVG2.LABEL_ALIGN

{Object}

### OpenLayers.Renderer.SVG2.LABEL_VSHIFT

{Object}

### OpenLayers.Renderer.SVG2.LABEL_VFACTOR

{Object}

## OpenLayers.Popup.AnchoredBubble

This class is deprecated. Use {OpenLayers.Popup.Anchored} and round corners using CSS3’s border-radius property.

#### Inherits from

- OpenLayers.Popup.Anchored

Summary

Constructor |
OpenLayers.Popup.AnchoredBubble |
Functions |
setSize |
setBackgroundColor |
setOpacity |
Constants |
CORNER_SIZE | {Integer} 5.

### Constructor

### OpenLayers.Popup.AnchoredBubble

#### Parameters

id | {String}
lonlat | {OpenLayers.LonLat}
contentSize | {OpenLayers.Size}
contentHTML | {String}
anchor | {Object} Object to which we’ll anchor the popup. Must expose a ‘size’ (OpenLayers.Size) and ‘offset’ (OpenLayers.Pixel) (Note that this is generally an OpenLayers.Icon).
closeBox | {Boolean}
closeBoxCallback | {Function} Function to be called on closeBox click.

### Functions

### setSize

> setSize:function( | contentSize | )

#### Parameters

contentSize | {OpenLayers.Size} the new size for the popup’s contents div (in pixels).

### setBackgroundColor

> setBackgroundColor:function( | color | )

#### Parameters

color | {String}

### setOpacity

> setOpacity:function( | opacity | )

#### Parameters

opacity | {float}

### Constants

### CORNER_SIZE

{Integer} 5. Border space for the RICO corners.

> OpenLayers.Class.inherit = function ( | P | )

Deprecated.

> OpenLayers.loadURL = function( | uri,
> | params,
> | caller,
> | onComplete,
> | onFailure | )

Background load a document.

> hide: function()

Deprecated.

> show: function()

Deprecated.

> getDimensions: function( | element | )

Deprecated.

> destroy: function()

> destroy: function()

> concatChildValues: function( | node,
> | def | )

Deprecated.

> destroy: function()

nullify references to prevent circular references and memory leaks
Features are combinations of geography and attributes.
Base class for format reading/writing a variety of formats.

> destroy: function()

> mergeNewParams:function( | newParams | )

Modify parameters for the layer and redraw.

> clone: function ( | obj | )

> getFullRequestString:function( | newParams,
> | altUrl | )

combine the layer’s url with its params and these newParams.

> commit: function()

Write out the data to a WFS server.

> commitReport: function( | string,
> | response | )

Called with a ‘success’ message if the commit succeeded, otherwise a failure message, and the full request text as a second parameter.

> refresh: function()

Refreshes all the features of the layer

> getDataExtent: function ()

Calculates the max extent which includes all of the layer data.

> setOpacity: function ( | opacity | )

Call the setOpacity method of the appropriate parent class to set the opacity.

> getWarningHTML:function()

{String} String with information on why layer is broken, how to get it working.

> setMapObjectCenter: function( | center,
> | zoom | )

Set the mapObject to the specified center and zoom

> getMapObjectCenter: function()

{Object} The mapObject’s current center in Map Object format

> dragPanMapObject: function( | dX,
> | dY | )

> getMapObjectZoom: function()

{Integer} The mapObject’s current zoom, in Map Object format

> getMapObjectLonLatFromMapObjectPixel: function( | moPixel | )

> getMapObjectPixelFromMapObjectLonLat: function( | moLonLat | )

> getLongitudeFromMapObjectLonLat: function( | moLonLat | )

> getLatitudeFromMapObjectLonLat: function( | moLonLat | )

> getMapObjectLonLatFromLonLat: function( | lon,
> | lat | )

> getXFromMapObjectPixel: function( | moPixel | )

> getYFromMapObjectPixel: function( | moPixel | )

> getMapObjectPixelFromXY: function( | x,
> | y | )

> destroy: function()

Clean up the protocol.

> supported: function()

This should be overridden by specific subclasses

> destroy: function()

Clean up the protocol.

> supported: function()

Determine whether a browser supports Gears

> read: function( | options | )

Read all features from the database and return a OpenLayers.Protocol.Response instance.
Protocols return Response objects to their users.

> create: function( | features,
> | options | )

Create new features into the database.

> update: function( | features,
> | options | )

Construct a request updating modified feature.

> "delete": function( | features,
> | options | )

Delete features from the database.

> commit: function( | features,
> | options | )

Go over the features and for each take action based on the feature state.

> setMap: function( | map | )

Overridden from EventPane because we need to remove this yahoo event pane which prohibits our drag and drop, and we can only do this once the map has been loaded and centered.

> getWarningHTML:function()

{String} String with information on why layer is broken, how to get it working.

> getOLZoomFromMapObjectZoom: function( | moZoom | )

> getMapObjectZoomFromOLZoom: function( | olZoom | )

> setMapObjectCenter: function( | center,
> | zoom | )

Set the mapObject to the specified center and zoom

> getMapObjectCenter: function()

{Object} The mapObject’s current center in Map Object format

> dragPanMapObject: function( | dX,
> | dY | )

> getMapObjectZoom: function()

{Integer} The mapObject’s current zoom, in Map Object format

> getMapObjectLonLatFromMapObjectPixel: function( | moPixel | )

> getMapObjectPixelFromMapObjectLonLat: function( | moLonLat | )

> getLongitudeFromMapObjectLonLat: function( | moLonLat | )

> getLatitudeFromMapObjectLonLat: function( | moLonLat | )

> getMapObjectLonLatFromLonLat: function( | lon,
> | lat | )

> getXFromMapObjectPixel: function( | moPixel | )

> getYFromMapObjectPixel: function( | moPixel | )

> getMapObjectPixelFromXY: function( | x,
> | y | )

> getMapObjectSizeFromOLSize: function( | olSize | )

> setVisibility: function( | visibility,
> | noEvent | )

Set the visibility flag for the layer and hide/show&redraw accordingly.

> getLength: function()

{Float} The length of the geometry

> getArea: function()

{Float} The area of the geometry

> supported: function()

{Boolean} Whether or not the browser supports the SVG renderer

> setSize:function( | contentSize | )

> setBackgroundColor:function( | color | )

> setOpacity:function( | opacity | )

> GET: function( | config | )

Send an HTTP GET request.
Standard-compliant (W3C) cross-browser implementation of the XMLHttpRequest object.
The OpenLayers.Request namespace contains convenience methods for working with XMLHttpRequests.
The navigation control handles map browsing with mouse events (dragging, double-clicking, and scrolling the wheel).
Controls affect the display or behavior of the map.
This Toolbar is an alternative to the Navigation control that displays the state of the control, and provides a UI for changing state to use the zoomBox via a Panel control.
This class represents a screen coordinate, in x and y coordinates

> getChildValue: function( | node,
> | def | )

Get the textual value of the node if it exists, or return an optional default string.
Creates a new WMS layer object.
Instances of OpenLayers.Layer.WMS are used to display data from OGC Web Mapping Services.
{Number} If set, requests that would result in GET urls with more characters than the number provided will be made using form-encoded HTTP POST.
Instances of OpenLayers.Layer.MapServer are used to display data from a MapServer CGI instance.
Instances of OpenLayers.Tile.WFS are used to manage the image tiles used by various layers.
Instances of OpenLayers.Layer.Vector are used to render vector data from a variety of sources.
Instances of this class represent bounding boxes.
Bing layer using direct tile access as provided by Bing Maps REST Services.
Creates a new instance of a OpenLayers.Layer.VirtualEarth.
Base class for 3rd party layers, providing a DOM element which isolates the 3rd-party layer from mouse events.
Some Layers will already have established zoom levels (like google or ve).
{Boolean} Should the map act as a mercator-projected map?
Instances of OpenLayers.Map are interactive maps embedded in a web page.
Abstract vector layer protocol class.
Abstract SQL protocol class.
Vector features use the OpenLayers.Geometry classes as geometry description.
{Boolean} Should the map act as a mercator-projected map?
Instances of this class represent a width/height pair
A Geometry is a description of a geographic object.
Point geometry class.
This is another virtual class in that it should never be instantiated by itself as a Renderer.
This class represents a longitude and latitude pair
The icon represents a graphical icon on the screen.
Close